#include <avr/io.h>
#include "load.h"
#include "ADC.h"
#include "RegEdit.h"


void Load_HandleLoadPortA(uint8_t adc_pin, uint8_t out_pin)
{
    ADC_Init(adc_pin);
    ADC_Enable(adc_pin);
    uint16_t val = ADC_ReadValue(adc_pin);
    val = ADC_ReadValue(adc_pin);
    
    ADC_Disable();
    if(val > 527 || val < 1000){
        RegEdit_SetBit((void *) &PORTA.DIR, out_pin);
        RegEdit_SetBit((void *) &PORTA.OUT, out_pin);
    }
    else{
        RegEdit_ClearBit((void *) &PORTA.OUT, out_pin);
    }
}

void Load_HandleLoadPortB(uint8_t adc_pin, uint8_t out_pin)
{
    ADC_Init(adc_pin);
    ADC_Enable(adc_pin);
    uint16_t val = ADC_ReadValue(adc_pin);
    val = ADC_ReadValue(adc_pin);
        
    ADC_Disable();
    if(val > 527 || val < 1000){
        RegEdit_SetBit((void *) &PORTB.DIR, out_pin);
        RegEdit_SetBit((void *) &PORTB.OUT, out_pin);
    }
    else{
        RegEdit_ClearBit((void *) &PORTB.OUT, out_pin);
    }
}
